Name:           perl-Authen-U2F-Tester
Version:        0.03
Release:        2%{?dist}
Summary:        FIDO/U2F Authentication Test Client
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Authen-U2F-Tester/
Source0:        http://www.cpan.org/authors/id/M/MS/MSCHOUT/Authen-U2F-Tester-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-generators
BuildRequires:  perl >= 0:5.006
BuildRequires:  perl(Authen::U2F)
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Crypt::Misc)
BuildRequires:  perl(Crypt::OpenSSL::X509)
BuildRequires:  perl(Crypt::PK::ECC)
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(JSON::MaybeXS)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Moose::Role)
BuildRequires:  perl(MooseX::AttributeShortcuts)
BuildRequires:  perl(MooseX::SingleArg)
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(strictures) >= 2
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
Requires:       perl(base)
Requires:       perl(Carp)
Requires:       perl(constant)
Requires:       perl(Crypt::OpenSSL::X509)
Requires:       perl(Crypt::PK::ECC)
Requires:       perl(Digest::SHA)
Requires:       perl(Exporter)
Requires:       perl(JSON::MaybeXS)
Requires:       perl(List::Util)
Requires:       perl(MIME::Base64)
Requires:       perl(Moose)
Requires:       perl(Moose::Role)
Requires:       perl(MooseX::AttributeShortcuts)
Requires:       perl(MooseX::SingleArg)
Requires:       perl(namespace::autoclean)
Requires:       perl(strictures) >= 2
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module implements a FIDO/U2F tester that can be used for testing web
applications that support FIDO/U2F. Think of this module as a "virtual" U2F
security key.

%prep
%setup -q -n Authen-U2F-Tester-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Feb 11 2022 Daniel Berteaud <dbd@ehtrace.com> 0.03-2
- new package built with tito

* Fri Feb 11 2022 Daniel Berteaud <dbd@ehtrace.com> 0.03-1
- Specfile autogenerated by cpanspec 1.78.
